<?php
/**
 * @copyright	Copyright (C) 2016 Cedric KEIFLIN alias ced1870
 * http://www.joomlack.fr
 * @license		GNU/GPL
 * */
 
defined('_JEXEC') or die('Restricted access');
jimport('joomla.event.plugin');

class plgSystemMaximenuck_hikashop extends JPlugin {

	private $type = 'hikashop';

	function __construct(&$subject, $params) {
		parent::__construct($subject, $params);
	}

	public function onContentPrepareForm($form, $data) {
		$this->loadLanguage();
	}

	function onBeforeRender() {
		$app = JFactory::getApplication();
		// si pas en frontend, on sort
		if (! $app->isClient('administrator')) {
			return false;
		}
		// check first that we are in Hikashop categories list
		$input = JFactory::getApplication()->input;
		if (
			$input->get('option') != 'com_hikashop'
			|| $input->get('ctrl') != 'category'
			|| $input->get('view') != 'category'
			|| $input->get('layout') != 'listing'
		)
			return;

		$this->loadLanguage();
		JHtml::_('jquery.framework');
		$doc = JFactory::getDocument();
		$doc->addStylesheet(JUri::root(true) . '/administrator/components/com_maximenuckhikashop/assets/ckbox.css');
		$doc->addScript(JUri::root(true) . '/administrator/components/com_maximenuckhikashop/assets/ckbox.js');

		$bar = JToolBar::getInstance('toolbar');
		// var_dump($bar);
		$button = '<button class="btn btn-small hasTooltip" title="' . JText::_('PLG_MAXIMENUCK_HIKASHOP_BUTTON_DESC') . '" onclick="CKBox.open({url: \''.JUri::root(true).'/administrator/index.php?option=com_maximenuckhikashop&layout=modal\'});">
										<span class="icon-menu-3"></span>
										' . JText::_('Maximenu CK') . '
									</button>';
					$bar->appendButton('Custom', $button, 'maximenu');
	}

	/**
	 * Legacy function to remove old parameters on frontend
	 */
	function onAfterRender() {
		$app = JFactory::getApplication();
		$document = JFactory::getDocument();
		$doctype = $document->getType();

		// si pas en frontend, on sort
		if ($app->isClient('administrator')) {
			return false;
		}

		// si pas HTML, on sort
		if ($doctype !== 'html') {
			return;
		}

		// renvoie les donnees dans la page
		// récupère les données de la page
		if (version_compare(JVERSION, '4') >= 0) {
			$body = JFactory::getApplication()->getBody(); 
		} else {
			$body = JResponse::getBody();
		}
		$regex = "#{maximenu}(.*?){/maximenu}#s"; // masque de recherche
		$body = preg_replace($regex, '', $body);
		if (version_compare(JVERSION, '4') >= 0) {
			JFactory::getApplication()->setBody($body); 
		} else {
			JResponse::setBody($body);
		}
	}
}